%global momorel 4
%global md5sum_src0 b0867d7b599d8a63ba630fa6227936fe
Name:           perl-XML-NamespaceSupport
Version:        1.09
Release: %{momorel}m
Summary:        XML-NamespaceSupport Perl module

Group:          Development/Libraries
License:        GPL or Artistic
Url:            http://search.cpan.org/dist/XML-NamespaceSupport/
%NoSource 0 http://www.cpan.org/authors/id/R/RB/RBERJON/XML-NamespaceSupport-%{version}.tar.gz %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.


%prep
%setup -q -n XML-NamespaceSupport-%{version}
chmod 644 Changes README *.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=site
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_sitelib}/XML/NamespaceSupport.pm
%{_mandir}/man3/*.3*


%changelog
* Thu Aug 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.09-4m)
- revise %%files

* Tue Aug 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.09-3m)
- modify install dir

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.09-2m)
- built against perl-5.8.8

* Wed Feb  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.09-1m)
- import from FC

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Sep  9 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.09-1
- Update to 1.09.

* Sat Apr 30 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-7
- Bring up to date with current Fedora.Extras perl spec template. (#156511)

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 1.08-6
- rebuild

* Thu Oct 17 2002 cturner@redhat.com
- Specfile autogenerated

